Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.jpdl3
Class JPDL3Metadata

    java.lang.Object
      org.modeshape.sequencer.jpdl3.JPDL3Metadata

    public class JPDL3Metadata

extends Object

The jBPM Process definition language meta data.

Author:
  Serge Pagop

Method Summary
`JPDL3EndStateMetadata` | `getEndStateMetadata()`
`String` | `getPdName()` Get the name of process definition.
`JPDL3StartStateMetadata` | `getStartStateMetadata()`
`List<JPDL3SwimlaneMetadata>` | `getSwimlanes()` Get a list of all swimlane of the process definition
`List<JPDL3TaskNodeMetadata>` | `getTaskNodes()`
`static JPDL3Metadata` | `instance(InputStream stream)` Create an instance of `JPDL3Metadata` with all data of a specific jpdl xml document.
`void` | `setEndStateMetadata(JPDL3EndStateMetadata jPDL3EndStateMetadata)`
`void` | `setPdName(String pdName)` Set the name of process definition.
`void` | `setStartStateMetadata(JPDL3StartStateMetadata jPDL3StartStateMetadata)`
`void` | `setSwimlanes(List<JPDL3SwimlaneMetadata> swimlanes)` Set a list with some swimlanes for the process definition.
`void` | `setTaskNodes(List<JPDL3TaskNodeMetadata> taskNodes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static JPDL3Metadata instance(InputStream stream)

  Create an instance of `JPDL3Metadata` with all data of a specific jpdl xml document.

  Parameters:
    `stream` - - the `InputStream`, that represents a stream of jpdl.
  Returns:
    a object of `JPDL3Metadata`.

### getPdName

    public String getPdName()

  Get the name of process definition.

  Returns:
    the name of the process definition.

### setPdName

    public void setPdName(String pdName)

  Set the name of process definition.

  Parameters:
    `pdName` - - the name of process definition.

### getStartStateMetadata

    public JPDL3StartStateMetadata getStartStateMetadata()

  Returns:
    the jPDL3StartStateMetadata.

### getEndStateMetadata

    public JPDL3EndStateMetadata getEndStateMetadata()

  Returns:
    the jPDL3EndStateMetadata.

### setStartStateMetadata

    public void setStartStateMetadata(JPDL3StartStateMetadata jPDL3StartStateMetadata)

  Parameters:
    `jPDL3StartStateMetadata` - the jPDL3StartStateMetadata to set

### setEndStateMetadata

    public void setEndStateMetadata(JPDL3EndStateMetadata jPDL3EndStateMetadata)

  Parameters:
    `jPDL3EndStateMetadata` - the jPDL3EndStateMetadata to set

### getSwimlanes

    public List<JPDL3SwimlaneMetadata> getSwimlanes()

  Get a list of all swimlane of the process definition

  Returns:
    a list of all swimlane of the process definition. this can also be a empty list.

### setSwimlanes

    public void setSwimlanes(List<JPDL3SwimlaneMetadata> swimlanes)

  Set a list with some swimlanes for the process definition.

  Parameters:
    `swimlanes` - - the swimlanes.

### getTaskNodes

    public List<JPDL3TaskNodeMetadata> getTaskNodes()

  Returns:
    the task nodes

### setTaskNodes

    public void setTaskNodes(List<JPDL3TaskNodeMetadata> taskNodes)

  Parameters:
    `taskNodes` - Sets taskNodes to the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.